<script>
    function displayAllDetails(){
        finalPrice= this.price+(this.price*((10-3)/100));
        document.write("CD Name: "+this.name+"<br>");
        document.write("CD Publisher: "+this.publisher+"<br>");
        document.write("Final Price: "+finalPrice+"<br>");
    }
    function CD(name,publisher,price)
    {
        this.name=name;
        this.publisher=publisher;
        this.price=price;
        this.display=displayAllDetails;  
    }
    
    
    tharun = new CD("Tharun","Apple",120);
    arjun = new CD("arjun","orange",120);
    tharun.display();
</script>